# $Revision: 1.34 $, $Date: 2011/02/09 20:18:48 $
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc
#
%include	/usr/lib/rpm/macros.java

%define		srcname		regexp
Summary:	Java Regular Expression
Summary(pl.UTF-8):	Wyrażenia regularne do Javy
Name:		java-regexp
Version:	1.5
Release:	1
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/jakarta/regexp/source/jakarta-regexp-%{version}.tar.gz
# Source0-md5:	b941b8f4de297827f3211c2cb34af199
Patch0:		jakarta-regexp-build.patch
URL:		http://jakarta.apache.org/regexp/index.html
BuildRequires:	ant
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jre
Provides:	jakarta-regexp
Obsoletes:	jakarta-regexp
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Regexp is a 100% Pure Java Regular Expression package that was
graciously donated to the Apache Software Foundation by Jonathan
Locke. This package is intended to be an answer to a question we
commonly hear in the Java world: "Why isn't there a decent regular
expression package available for Java under a BSD-Style (ie: Apache)
license?"

%description -l pl.UTF-8
Regexp to pakiet obsługujący wyrażenia regularne napisany całkowicie w
czystej Javie. Został on łaskawie podarowany Apache Software
Foundation przez Jonathana Locke. Ten pakiet ma być odpowiedzią na
pytanie często słyszane w świecie Javy: "dlaczego nie ma przyzwoitego
pakietu obsługującego wyrażenia regularne w Javie na licencji typu
BSD?".

%package javadoc
Summary:	Java Regular Expression API documentation
Summary(pl.UTF-8):	Dokumentacja API javowych wyrażeń regularnych
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-regexp-doc
Obsoletes:	jakarta-regexp-javadoc

%description javadoc
Java Regular Expression API documentation.

%description javadoc -l pl.UTF-8
Dokumentacja API javowych wyrażeń regularnych.

%prep
%setup -q -n jakarta-regexp-%{version}
%patch0 -p1
find -name "*.jar" -exec rm -f {} \;

%build
unset CLASSPATH || :
export JAVA_HOME="%{java_home}"
%ant jar %{?with_javadoc:javadocs}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_javadir}

install build/jakarta-regexp-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -sf %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -R docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc LICENSE docs/*.html docs/*.txt
%{_javadir}/regexp-%{version}.jar
%{_javadir}/regexp.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-regexp.spec,v $
Revision 1.34  2011/02/09 20:18:48  qboosh
- updated to 1.5

Revision 1.33  2010/04/23 00:03:37  pawelz
- Don't force specific jdk.

Revision 1.32  2009/04/08 18:18:41  pawelz
- P/O after rename

Revision 1.31  2009/04/08 18:14:16  pawelz
- changed Name to java-regexp (waiting for server side copy)
- added jdk bconds
- added javadoc bcond
- unified

Revision 1.30  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.28  2006/12/08 01:11:24  glen
- -javadoc R: jpackage-utils for parent dirs; rel 2

Revision 1.27  2006/05/24 11:13:28  jajcus
- sanitize CLASSPATH and JAVA_HOME

Revision 1.26  2006/05/24 10:38:57  qboosh
- Obsoletes for jakarta-regexp-doc

Revision 1.25  2006/05/24 10:25:32  jajcus
- BR: jpackage-utils, rpmbuild(macros) >= 1.300
- ExclusiveArch added for builders with JDK
- javadoc subpackage instead of doc subpackage, API docs moved to %{_javadocdir}

Revision 1.24  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.23  2005/08/28 15:43:15  qboosh
- updated to 1.4, updated build patch

Revision 1.22  2004/12/14 14:21:24  baggins
- fixed files

Revision 1.21  2004/12/14 14:10:52  baggins
- fixed install

Revision 1.20  2004/12/14 14:09:16  baggins
- apply patch

Revision 1.19  2004/12/14 14:06:53  baggins
- added build patch

Revision 1.18  2004/12/14 14:03:02  baggins
- fixed build

Revision 1.17  2004/12/14 13:59:57  baggins
- updated md5sum

Revision 1.16  2004/12/14 13:59:19  baggins
- updated to 1.3

Revision 1.15  2004/07/15 12:00:38  pluto
- use %{_javadir}.

Revision 1.14  2003/07/03 18:57:37  qboosh
- longer description

Revision 1.13  2003/07/02 11:39:03  pascalek
- Release 3
- Source0 changed
- Build fixes

Revision 1.12  2003/05/28 12:59:13  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 05:49:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2002/08/24 20:16:49  qboosh
- Requires: jre

Revision 1.9  2002/08/18 17:14:22  blues
- release 2 - license fix, new doc

Revision 1.8  2002/04/25 16:38:31  arturs
- fixed a small typo

Revision 1.7  2002/02/23 02:59:08  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:13:23  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2002/01/09 16:19:23  ankry
- replaced source URL by non-redirecting one.

Revision 1.3  2001/11/30 10:17:37  qboosh
- removed %_javalibdir directory from package

Revision 1.2  2001/11/30 10:08:00  qboosh
- pl translations, cosmetics

Revision 1.1  2001/10/02 08:28:15  pascalek
- initial revision
